#
# spec file for package python-qstylizer
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-qstylizer
Version:        0.2.2
Release:        2.7
Summary:        Stylesheet Generator for PyQt{4-5}/PySide{1-2}
License:        MIT
URL:            https://github.com/blambright/qstylizer
# no sdist on PyPI
Source:         https://github.com/blambright/qstylizer/archive/refs/tags/%{version}.tar.gz#/qstylizer-%{version}-gh.tar.gz
# PATCH-FIX-UPSTREAM qstylizer-pr17-fix-py12-mock.patch gh#blambright/qstylizer#17
Patch0:         https://github.com/blambright/qstylizer/pull/17.patch#/qstylizer-pr17-fix-py12-mock.patch
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module inflection > 0.3.0}
BuildRequires:  %{python_module pytest >= 4}
BuildRequires:  %{python_module pytest-mock >= 1.6}
BuildRequires:  %{python_module tinycss2}
#BuildRequires:  %%{python_module pytest-catchlog >= 1}
BuildRequires:  %{python_module pytest-xdist >= 1.1}
# /SECTION
BuildRequires:  unzip
BuildRequires:  fdupes
Requires:       python-inflection > 0.3.0
Requires:       python-tinycss2
BuildArch:      noarch
%python_subpackages

%description
A python package designed to help with the construction of PyQt/PySide stylesheets.

%prep
%autosetup -p1 -n qstylizer-%{version}

%build
export PBR_VERSION=%{version}
%pyproject_wheel

%install
export PBR_VERSION=%{version}
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/qstylizer
%{python_sitelib}/qstylizer-%{version}.dist-info

%changelog
* Sun Jan  7 2024 Ben Greiner <code@bnavigator.de>
- Add qstylizer-pr17-fix-py12-mock.patch gh#blambright/qstylizer#17
- Move to PEP517 build
* Fri Oct  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- version update to 0.2.2
  Merge pull request #16 from ccordoba12/missing-properties
    Add a couple of missing properties
* Tue Dec 14 2021 pgajdos@suse.com
- version update to 0.2.1
  * no upstream changelog
* Sat Apr 24 2021 Ben Greiner <code@bnavigator.de>
- Update to 0.2
  * use tinycss2 instead of tinycss
- drop qstylizer-tinycss2.patch merged upstream (in the updated
  version)
* Sat Apr 24 2021 Matej Cepl <mcepl@suse.com>
- Our patch doesn't correspond to the upstream patch anymore.
* Sat Apr 24 2021 Ben Greiner <code@bnavigator.de>
- fix bug in qstylizer-tinycss2.patch gh#blambright/qstylizer#10
  so that spyder does not look as ugly
* Mon Apr 19 2021 Ben Greiner <code@bnavigator.de>
- refresh qstylizer-tinycss2.patch gh#blambright/qstylizer#10
  because the egg-info/requires.txt is checked upon start by spyder
* Thu Apr  8 2021 Ben Greiner <code@bnavigator.de>
- Initial specfile for version 0.1.10
- Required by spyder 5.0.0
- replace tinycss with tinycss2
  * qstylizer-tinycss2.patch
  * gh#blambright/qstylizer#10
